# Type alias AsObject

AsObject: {
errorMessage: string;
senderNodeAddress?: NodeAddress.AsObject;
sourceId: string;
sourceMsgClassName: string;
sourceType: string;
sourceUid: string;
success: boolean;
uid: string;
}

#### Type declaration

- ##### errorMessage: string

- ##### `Optional` senderNodeAddress?: NodeAddress.AsObject

- ##### sourceId: string

- ##### sourceMsgClassName: string

- ##### sourceType: string

- ##### sourceUid: string

- ##### success: boolean

- ##### uid: string

- Defined in src/protobuf/pb_pb.d.ts:965

Generated using TypeDoc